Skip to main content

Create User

POST/Users

Creates a new user in the organization.

Error Responses
400
Invalid request body or missing required fields (e.g. userName).
401
Missing or invalid Authorization header.
403
SCIM provisioning not enabled or insufficient permissions.
409
A user with the same userName already exists.
Request
curl -X POST "https://{your-domain}/api/scim/v2/Users" -H "Authorization: Basic <access_token>" -H "Content-Type: application/json" -d '{}'
Response — 201
{
"schemas": ["urn:ietf:params:scim:schemas:core:2.0:User"],
"id": "2819c223-7f76-453a-919d-413861904646",
"userName": "[email protected]",
"name": {
  "formatted": "Barbara Jensen",
  "familyName": "Jensen",
  "givenName": "Barbara"
},
"emails": [
  {
    "value": "[email protected]",
    "primary": true
  }
],
"active": true,
"meta": {
  "resourceType": "User",
  "created": "2024-01-23T04:56:22Z",
  "lastModified": "2024-01-23T04:56:22Z",
  "location": "https://{your-domain}/api/scim/v2/Users/2819c223-7f76-453a-919d-413861904646"
}
}